﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/Login',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: 'welcome',
    icon: 'smile',
    component: './Welcome',
  },
  {
    path: '/admin',
    name: 'admin',
    icon: 'crown',
    access: 'canAdmin',
    component: './Admin',
    routes: [
      {
        path: '/admin/sub-page',
        name: 'sub-page',
        icon: 'smile',
        component: './Welcome',
      },
      {
        component: './404',
      },
    ],
  },
  {
    name: 'list.table-list',
    icon: 'table',
    path: '/list',
    component: './TableList',
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  // 基础信息
  {
    path: '/basicInfo',
    name: 'basicInfo',
    routes: [
      {
        path: '/basicInfo',
        name: 'basicInfo',
        redirect: '/basicInfo/basicInfoIndex',
      },
      {
        name: 'carfile',
        path: '/basicInfo/carfile',
        component: './basicInfo/carfile',
      },
      {
        name: 'drivingRecord',
        path: '/basicInfo/drivingRecord',
        component: './basicInfo/drivingRecord',
      },
      {
        name: 'basicInfoIndex',
        path: '/basicInfo/basicInfoIndex',
        component: './basicInfo/basicInfoIndex',
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
